2025/10/05 Version 3.0
・makealbumの初期状態ですべてのファイル(写真など)を選択するようにした。
・オーディオファイル(.wav, .mp3, .m4a)に対応した。
・トップレベルウィンドウ・ブック表示・ブック編集で、コメント2行化と左揃えにした。
・ベストアルバムindex.htmlで、ボーダーラインの表示が重なっていた場合があったのをまとめた。
・exif情報表示で空行があった場合に省略した。ついでにPENTAXカメラでモノクロ撮影時に、本来なら入っていないはずのレンズ名にゴミ(^A)が入っていたので対処。
・(FreeBSD/Linux)oglasiv3でX11モニターが接続されていない場合でも、ウィンドウモードであれば起動可能にした。
　glfw3の都合でフルスクリーンモードはX11モニターが接続されていないと起動できないけど。
・超ベストアルバム
1.アルバムの並びを末端アルバム名で逆ソートするようにした。
　今まではブック名を含む全体ディレクトリ名で逆ソートしていたので、アルバム日付が前後することがあった。
2.編集モードでも、写真コメントは更新できないようにした。
　アルバムで更新しないと、ただのベストアルバム内のコメントが更新されないため。
・アルバム編集で、プログレスバーの4本目が一杯にならなかった場合があったのを修正。

2025/09/12 Version 3.0
・exif情報表示が横に長すぎる場合があったので、整理した。
・アルバムの隠しhtml設定を、「ブック編集」で操作可能にした。

2025/08/22 Version 3.0
・超ベストアルバムで、写真のパス名表記が冗長だったのを整理。
　この影響で、各種ウィンドウで超ベストアルバムの取り扱いを整理。

2025/08/11 Version 3.0
・_BestBookの超ベストアルバムを、下記ベストマーキング各種に対応した。
_FailBook
_GoodBook (_Bestの方が使い勝手が良いけど)
_BestBook
_ApplyBook
_SubmitBook
_PrintBook
_UploadBook
※超ベストアルバムは、再帰的に下層のブック内のアルバムも掘り下げて作成するのにも対応しています。
※再帰的掘り下げに作成に対応しているので、自動更新には対応できません。
　マーキングの変更にも対応していません。
　すみません。
・最上位ウィンドウやブック表示で、ディレクトリ名やアルバムタイトル、コメントを選択可能にした。
・ブック編集で、アルバムタイトル、コメントを選択可能にした。

2025/06/29 Version 3.0
・アルバム配下のsize[1-4]ディレクトリを削除したりして縮小写真を再生成する際、サイズが一段階大きかったのを修正。
・超ベストアルバム(_BestBook)の生成htmlで、超ベストアルバム掲載以外のマーキングでのみ、枠を描画するようにした。
・モノクロJPEGに対応した。

2025/06/06 Version 3.0
・(oglasiv3)オプション-resizetype 2の場合に、毎回画像サイズに合わせてウィンドウをリサイズするようにした。
・(oglasiv3)オプション-resizetype 2の場合に、-window_ratio_of_imageだけでなく、-image_ratio_of_windowの値も反映されるようにした。
・(oglasiv3)オプション-resizetype 2の場合に、exif縦画像に対応した。
・(oglasiv3)helpメッセージの-sizelimitオプション数値がズレていたのを修正。
・(Win&Mac&Linux)bealbumからのoglasiv3デフォルト起動オプションを2000万画素/4K画面に対応した。
・_BestBookブックディレクトリを作ると、「ベスト」とマークした写真だけの、超ベストアルバムになるようにした。
　開発中なので自動更新には対応していないので手動で更新する必要があるし、上位階層ブックで作ると、配下ブックも探索するようにしたけど、まだ完全テストはしていない。
・トップレベルウィンドウで、ベストアルバムのoglasiv3起動が出来なかったのを修正。
・アルバム表示で、_BestBookのoglasiv3起動が超ベストアルバムじゃなかったのを修正。

bealbum 2025/04/17 Version 1.0 (release)
・拡張子.aviを、.mov同様にサポートした。
・bealbumから起動するoglasiv3のウィンドウサイズを1500x1000にした。3:2の2400万画素対応。
・tigervncへのパッチでマウスの戻る・進むボタンに対応するため、oglasiv3でブラウザの戻る・前進キーに対応した。(UNIX)
・oglasiv3でファイルをひとつしか開いていない場合は、マウスの戻るボタンで終了するようにした。

bealbum 2025/03/23 Version 1.0 (release)
・アルバムと、ベストアルバムlist.htmlの動画リンクが、原寸大だと正常にリンクされていなかったのを修正。
・ベストアルバムに先頭コメントを書いていると、list.htmlで写真位置が右にズレていた問題に対処。
・ブック表示の、ベストアルバムに対するoglasiv3起動で引き数が多過ぎる問題に対処するため、oglasiv3で-C<dir> -@<filelist.txt>オプションに対応。

bealbum 2025/02/26 Version 1.0 (relelase)
・アルバム編集、ベストアルバム編集で、「適用」時にスクロール位置を保持するようにした。
・アルバム表示、アルバム編集、ベストアルバム表示・編集で、アルバムディレクトリ名をコピー選択可能にした。
・オプション設定による動画再生アプリ起動用のサイズ設定を、ピクセル単位にした。
　(動画のlist.html掲載リンクサイズと共用。)
・ブック表示で、ベストアルバムへのoglasiv3起動に対応した。
　引き数にファイル名をフルパスで全部並べるので、引き数文字数制限に引っ掛からなければいいけど。

bealbum 2024/12/30 Version 1.0 (relelase)
・アルバム表示、アルバム編集、ベストアルバム表示・編集のexifなどの文字表示で、コピーペーストのための選択が出来るようにした。
・オプション設定で、サムネイル横アイテム数に'0'が設定できてしまっていたので、'1'始まりにした。
・ベストアルバム内で写真コメントやマーキングを更新した場合に、拡大htmlを更新していなかったので更新するようにした。
(拡大htmlにマーキングやコメントを表示するようにした際に、更新対応し忘れていた。)
・動画の拡大htmlで、マーキングが表示されていなかったので表示するようにした。
・動画を、list.htmlに掲載していなかったのを掲載するようにした。(オプション設定による動画再生アプリ起動用の設定が反映されます。)
・モノクロJPEGに対応した。
・オプション設定のhwaccel(ハードウェア加速)になにか設定していると、ffmpeg圧縮オプション先頭を空白にしないと動画をアルバム化出来なかったので修正した。
・「提出」のマーキングが、htmlでは「印刷」と表示されていたのを修正。
・アルバム移動で、移動先のブックindex.htmlを更新し忘れていたので更新するようにした。

bealbum 2024/12/02 Version 1.0 (relelase)
・アルバム作成時、プログレスウィンドウが最上位じゃなかったので最上位にした。
・Windows版で、コマンドプロンプト画面を固定で表示するようにした。
　動画取扱時、動画ひとつ処理するごとにいちいちコマンドプロンプト画面が立ち上がるのを防ぎます。
・ブック編集ウィンドウでアルバム名を変更したとき、二重にベストアルバムが更新される場合があったのを回避するようにした。
・写真拡大html内で、ファイル名と、写真コメントやexifがあれば表示するようにした。
(ディレクトリ名はブラウザのURLで判断してください。)

bealbum 2024/11/24 Version 1.0 (relelase)
・ffmpegのhwaccelオプションが設定されていない場合に-s XxYオプションを渡すようにした。(-hwaccelオプションが設定されていないとリサイズできなかった)

bealbum 2024/11/15 Version 1.0 (release)
・失敗と印をつけた写真を、アルバムindex.htmlで失敗と表示するようにした。
・oglasiv3で、マウスホイールの向きが逆だったのを修正した。
・「oglasiv3起動」後、新しいマウスボタンnext/prevで、写真の次/前に対応した。
※ただしmacOSのSafariでnext/prevボタンを使うためにSensibleSideButtonsをenableにしていると、効きません!
・ブック表示で、ベストアルバムの写真枚数を表示するようにした。
・Macintoshで、bealbum設定ファイルを「~/.bealbum.app」にした。
・oglasiv3起動引き数初期値に、ウィンドウ位置固定設定「-g +0+32」を追加した。
・アルバムlist.htmlで、ベストアルバムに登録した写真全てにborderを付けるようにした。
・ウィンドウサイズ初期値を調整した。
・oglasiv3で's'キーでの画像切り出し保存時、拡張子を「.siv.1.jpg」「.siv.2.jpg」「.siv.3.jpg」などと順繰りにして上書かないようにした。
・oglasiv3で's'キーで画像切り出し保存時、枠の描画をしていなかったので、するようにした。
・ブック編集でのアルバム移動で、移動元ベストアルバムが更新されなかった問題に対処。

bealbum 2024/10/12 Version 1.0 (release)
・動画サムネイルのRetina化対応。「オプション設定」で設定可能。
・ベストアルバムindex.htmlへの動画掲載の不具合を対策した。

bealbum 2024/10/04 Version 1.0 (release)
・oglasiv3で、オプション「-resizetype 0」を設定した時に、起動時とEnterキーを押した時で動作が違っていたのを統一した。

bealbum 2024/09/29 Version 1.0 (release)
・トップブックで、バッチ更新がされない問題に対処、二重更新対処でエンバグ。

bealbum 2024/09/28 Version 1.0 (release)
・初回起動で、初期値としているアルバムディレクトリに'/'が含まれていたのを'\'とするようにした。(Windows)

bealbum 2024/09/27 Version 1.0 (release)
・アルバム編集でコメントを更新した場合に、ベストアルバムに載せている写真だとベストアルバムも更新するようにした。
・動画再生にwmplayer.batを経由するようにした。(Windows)

bealbum 2024/09/26 Version 1.0 (release)
・スペース(空白)の入った写真ファイル名に対応した。

bealbum 2024/09/25 Version 1.0 (release)
・アルバム作成で、フォーカスが失われるのを対処。(Windows)
・拡張子.jpegに対応した。
・oglasiv3をアイコン化すると写真が表示されなくなる問題に対処。(Windows)
・バッチ更新が、二重に行なわれていた問題に対処。
・プログレスウィンドウを少し大きくした。

bealbum 2024/09/24 Version 1.0 (release)
・oglasiv3起動時、背後に隠れてしまう問題に対処。(Windows)
・oglasiv3起動方法設定を、オプション設定で行なうようにした。

bealbum 2024/09/23 Version 1.0 (release)
・サムネイル写真表示がボケる場合があったのを修正。

bealbum 2024/09/17 Version 1.0 (release)
・オプション設定ダイアログのラベル文字をわかりやすくした。
・ベストアルバム上で写真コメントを書き換えても、参照元アルバムが更新されなかった問題に対処。

bealbum 2024/09/16 Version 1.0 (release)
・アルバム作成で動画サムネイル表示に対応した(これまでは表示されなかった)。

bealbum 2024/09/15 Version 1.0 (release)
・2GBを超える動画ファイルが正しく扱えなかった問題に対処。
・動画ファイル用に内部でgrepを呼び出さないようにした。
・動画エンコード用にffmpeg引き数をオプション設定出来るようにした。
・動画のサムネイル表示に対応した。
・動画サムネイルのクリックで動画プレイヤーアプリを起動できるようにした。
・アルバム表示で動画サムネイル表示に対応した(これまでは動画を無視していた)。

2024/09/14 Version 1.0 (release)
・アルバム作成で、動画がちゃんと縮小できなかった問題に対処。
・動画に対しては回転設定が表示されないようにした。

2024/09/12 Version 1.0 (release)
・ディレクトリ階層をまたいだアルバム改名で、移動先のベストアルバムhtmlが更新されなかったのを修正。
※トップブックディレクトリ配下以外やドライブ間の移動には非対応。
・マークの「良い」が保存されない場合があったのを修正。

2024/09/11 Version 1.0 (release)
・ベストアルバムの更新で、マークを操作した場合は通常アルバムのindex.htmlも更新するようにした。

2024/09/08 Version 1.0 (release)
・90度単位の写真回転機能は、ボタンで有効化してから設定できるようにした。うざい。
・回転機能が動かなかった問題に対処。

2024/09/07 Version 1.0 (release)
・マーク設定で、「微妙」、「失敗」にチェックを入れた場合にベストアルバムのマークを外すようにした。

2024/09/06 Version 1.0 (release)
・ベストアルバムだけの更新でプログレスバーが表示されなかった問題を修正。
・ブック編集で、アルバム名変更しての更新・OKで失敗していた問題を修正。
・oglasiv3で、平行移動がマウスとズレる場合があったのを修正。

2024/09/05 Version 1.0 (release)
・アルバム表示で、マーキングを表示するようにした。
・oglasiv3に引き数を追加し、ウィンドウいっぱいに表示するようにした。

2024/09/01 Version 1.0 (release) 初回リリース。
・バッチ更新で、ベストアルバムが最後に更新されるようにした。
　これは、アルバムディレクトリを手で操作した場合にベストアルバムが先だと更新に失敗する場合があったため。

2024/08/31 Version 1.0 (develop)
・アルバム表示、アルバム編集、ベストアルバム表示・編集、(アルバム作成以外)で、Retinaディスプレイでの高解像写真表示に対応した。

2024/08/30 Version 1.0 (develop)
・oglasiv3の起動がx86版だったのを、x64版が起動するように修正した。
・サムネイル表示サイズを大きく出来るようにした。(アルバム作成以外)
・ベストアルバムをアプリで表示できるようにした。
